FreeMat

- Main Page
- Related Pages

vtkPChacoReader

Section: Visualization Toolkit Parallel Classes

# Usage

vtkPChacoReader is a unstructured grid source object that reads Chaco files. The file is read by process 0 and converted into a vtkUnstructuredGrid. The vtkDistributedDataFilter is invoked to divide the grid among the processes.

To create an instance of class vtkPChacoReader, simply invoke its constructor as follows

      obj = vtkPChacoReader

# Methods

The class vtkPChacoReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPChacoReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPChacoReader = obj.NewInstance ()`
- `vtkPChacoReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController c)`
- `vtkMultiProcessController = obj.GetController ()`